Bug 474654 - system-config-network crashes on start in text mode
system-config-network crashes on start in text mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 14:10 EST by Dave Ludlow
Modified: 2009-12-18 02:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:09:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eth0 config file (224 bytes, text/plain)
2008-12-05 14:41 EST, Dave Ludlow
no flags Details

  None (edit)
Description Dave Ludlow 2008-12-04 14:10:12 EST
Description of problem:
system-config-network crashes on save

Version-Release number of selected component (if applicable):
system-config-network-1.5.93-2.fc10.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Execute system-config-network on a machine in runlevel 3
2. "Edit a device params" (which should be "Edit a device" or "Edit a device's params", BTW)
3. Turn off DHCP and assign static info
4. Choose OK
5. Choose Save
6. Choose Save&Quit (which should have spaces, BTW)
  
Actual results:
An unhandled exception has occured.  This is most likely a bug.  Please save the crash dump and file a detailed bug report against system-config-network at https://bugzilla.redhat.com/bugzilla
Component: system-config-network
Version: 1.5.93
Summary: TB /usr/share/system-config-network/netconfpkg/conf/ConfShellVar.py:58:__setitem__:TypeError: expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 309, in <module>
    sys.exit(main())
  File "/usr/sbin/system-config-network-tui", line 282, in main
    devlist.save()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 238, in save
    dev.save()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 413, in save
    conf[confkey] = getattr(self, selfkey)
  File "/usr/share/system-config-network/netconfpkg/conf/ConfShellVar.py", line 58, in __setitem__
    if self.quotereg.search(value):
TypeError: expected string or buffer

> /usr/share/system-config-network/netconfpkg/conf/ConfShellVar.py(58)__setitem__()
-> if self.quotereg.search(value):
(Pdb)

Expected results:
The network configuration should be saved.

Additional info:
This is an x86_64 machine with a fresh F10 install and update
Comment 1 Jiri Moskovcak 2008-12-05 02:39:49 EST
Hi,
I'm not able to reproduce it, what values have you filled?
Comment 2 Jiri Moskovcak 2008-12-05 02:45:32 EST
Can you, please, post your ifcfg-* files?
Comment 3 Dave Ludlow 2008-12-05 14:41:55 EST
Created attachment 325898 [details]
eth0 config file

Add ifcfg-eth0 attachment.  I updated this file by hand after s-c-n failed to work.

If I go into s-c-n with this file in place and simply save the existing values (without making changes) it crashes in the same way it did with the stock DHCP-based ifcfg-eth0 file.

For what it's worth, this system was imaged as a PXE/network/kickstart install on a 192.168.1.X/24 network then moved to a static IP after imaging.
Comment 4 Bug Zapper 2009-11-18 05:20:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:09:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.